<div class="headerpanel">Relations</div>
<div class="row">
    <div class="col-sm-12">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Name</th>
                    <th>EORI No.</th>
                    <th>Postal code</th>
                    <th>City</th>
                    <th>Country</th>
                    <th>Relation type</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let result2 of relations; let i = index">
                    <th scope="row">{{ i + 1 }}</th>
                    <td>{{ result2.firstName }} {{ result2.lastName }}</td>
                    <td>{{ result2.eorino }}</td>
                    <td>{{ result2.postalcode }}</td>
                    <td>{{ result2.city }}</td>
                    <td>{{ result2.country }}</td>
                    <td>{{ result2.relationtype }}</td>
                    <td>
                        <i class="material-icons" (click)="onEdit(result2.id)" style="color:blue;cursor: pointer;">
                            edit
                        </i>
                        <i class="material-icons" (click)="onDelete(i)" style="color:red">
                            delete_forever
                        </i>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>